void printi(int val);

int main()
{
  int i, j, val;

  for (i = -2; i < 3; i++)
    for (j = -2; j < 3; j++) {
      val   = i; printi(val);
      val <<= j; printi(val);
      val   = i; printi(val);
      val >>= j; printi(val);
    }

  return 0;
}
